import {
	DominionCard,
	TYPE_ACTION,
	TYPE_DURATION,
	TYPE_NIGHT,
	TYPE_TREASURE,
	TYPE_VICTORY,
} from "./types.ts";

const expansionIcon = "";
const author = "Dylan";

const _sampleCard = {
	orientation: "card",
	title: "Sample",
	description: "",
	types: [TYPE_ACTION],
	image: "",
	artist: "",
	author,
	version: "0.1",
	cost: "$",
	preview: "",
	expansionIcon,
};

export const cards: DominionCard[] = [
	{
		orientation: "card",
		title: "Flask",
		description:
			"+2 Cards\n\nAt the start of your Clean-up phase, you may put a card from your hand onto your deck.",
		types: [TYPE_TREASURE],
		image: "",
		artist: "",
		author,
		version: "0.1",
		cost: "$6",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Promising Land",
		description: "Worth 1% per 4 cards you have that cost $4 or $5.",
		types: [TYPE_VICTORY],
		image: "",
		artist: "",
		author,
		version: "0.1",
		cost: "$4",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Steelworker",
		description:
			"If it's your Action phase, +3 Cards.\n\nIf it's your Buy phase, +1 Buy, and +$1.",
		types: [TYPE_ACTION, TYPE_TREASURE],
		image: "",
		artist: "",
		author,
		version: "0.2",
		cost: "$5",
		preview: "$?",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Shovel",
		description:
			"Play a Treasure card from your hand. Then trash it from play to gain a Treasure card costing up to $3 more than it.",
		types: [TYPE_TREASURE],
		image: "",
		artist: "",
		author,
		version: "0.1",
		cost: "$6",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "High Council",
		description:
			"+2 Cards\n+1 Action\n+1 Buy\n\nEach player (including you) may choose one: +1 Card, or trash a card from their hand.",
		types: [TYPE_ACTION],
		image: "",
		artist: "",
		author: "Lou + Dylan",
		version: "0.1",
		cost: "$7",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Productive Village",
		description:
			"If it's your Action phase, +3 Actions.\n\nIf it's your Buy phase, +$1 per unused Action you have (Action, not Action card). +$1 if you have no Actions.",
		types: [TYPE_ACTION, TYPE_TREASURE],
		image: "",
		artist: "",
		author: "Dylan",
		version: "0.2",
		cost: "$3",
		preview: "$?",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Secret Society",
		description:
			"+1 Action\n\nIf you have at least 3 copies of Secret Society in play, trash all of them to gain any number of cards costing at least $2, whose total combined cost is at most $50.\n\n-\n\nOn your turn, this costs $3 plus $2 per Secret Society you've gained this game.",
		types: [TYPE_ACTION],
		image: "",
		artist: "",
		author: "Dylan",
		version: "0.1",
		cost: "$?",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Eclipse",
		description:
			"+1 Card\n\nIf you have no Actions, +1 Action. If you have no Buys, +1 Buy. Return to your Action phase.",
		types: [TYPE_NIGHT],
		image: "",
		artist: "",
		author: "Dylan",
		version: "0.1",
		cost: "$5",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Moonlit Scheme",
		description: "You may play an Action card from your hand.",
		types: [TYPE_NIGHT],
		image: "",
		artist: "",
		author: "Dylan",
		version: "0.1",
		cost: "$2",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Beaver",
		description:
			"Pay $1. If you did, gain a card costing up to the amount of $ you have.",
		types: [TYPE_NIGHT],
		image: "",
		artist: "",
		author: "Dylan",
		version: "0.1",
		cost: "$3",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Silk",
		description: "Choose one: +$2, or gain a Silver.",
		types: [TYPE_TREASURE],
		image: "",
		artist: "",
		author,
		version: "0.1",
		cost: "$4",
		preview: "$?",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Foundry",
		description:
			"Choose one: +1 Card, +1 Action and +$1; or trash a card from your hand to gain a card that costs up to $2 more than it.",
		types: [TYPE_ACTION],
		image: "",
		artist: "",
		author,
		version: "0.1",
		cost: "$5",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Vendor",
		description:
			"Choose three different options: +1 Card, +1 Action, +1 Buy, +$1, trash a card from your hand.",
		types: [TYPE_ACTION],
		image: "",
		artist: "",
		author,
		version: "0.2",
		cost: "$5",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Chateau",
		description:
			"1%\n\n-\n\nWhen you gain this, choose one: gain an Estate; or +1 Card, +1 Action, +1 Buy, +$1, and if it's your Buy phase, return to your Action phase.",
		types: [TYPE_VICTORY],
		image: "",
		artist: "",
		author,
		version: "0.1",
		cost: "$3",
		preview: "",
		expansionIcon,
	},
	{
		orientation: "card",
		title: "Retainer",
		description:
			"Set aside a card from your hand (under this).\n\nAt any time during any of your turns, you may take +1 Action, and add the set aside card to your hand, discarding this from play.\n\nAt the start of each of your Buy phases, if the card is still set aside, +@1.",
		types: [TYPE_ACTION, TYPE_DURATION],
		image: "",
		artist: "",
		author,
		version: "0.2",
		cost: "$2",
		preview: "",
		expansionIcon,
	},
];
